Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.enc
Class XEKeyReference

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.dsig.ObjectReference
oracle.security.xmlsec.enc.XEReference
oracle.security.xmlsec.enc.XEKeyReference`

public class XEKeyReference
extends XEReference

An XML Encryption KeyReference element. A `XEKeyReference` is used in a `XEEncryptedKey` structure to refer to an EncryptedKey element encrypted using the key defined in the enclosing EncryptedKey element.

See Also:
  `XEReference`

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`XEKeyReference(org.w3c.dom.Element keyRef)` Create a `XEKeyReference` instance from the given KeyReference element.
`XEKeyReference(org.w3c.dom.Element keyRef, java.lang.String systemId)` Create a `XEKeyReference` instance from the given KeyReference element.

Methods inherited from class oracle.security.xmlsec.enc.XEReference
`getEncryptedObject`

Methods inherited from class oracle.security.xmlsec.dsig.ObjectReference
`addTransform, dereference, getTransforms, getURI, setURI`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XEKeyReference

    public XEKeyReference(org.w3c.dom.Element keyRef)
                   throws org.w3c.dom.DOMException

  Create a `XEKeyReference` instance from the given KeyReference element.
Parameters:
  `keyRef` - A KeyReference element.

### XEKeyReference

    public XEKeyReference(org.w3c.dom.Element keyRef,
                          java.lang.String systemId)
                   throws org.w3c.dom.DOMException

  Create a `XEKeyReference` instance from the given KeyReference element.
Parameters:
  `keyRef` - A KeyReference element.
  `systemId` - The URI string system ID for this element.
Since:
  2.0
See Also:
  `XMLNode.setSystemId(java.lang.String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.